Bug 180134 - Class Moving inserts import into class declaration
Class Moving inserts import into class declaration
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Unsupported
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: J Bachorik
issues@javafx
:
Depends on:
Blocks: 173077
  Show dependency treegraph
 
Reported: 2010-02-02 03:33 UTC by Alexandr Scherbatiy
Modified: 2010-02-05 04:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2010-02-02 03:33:07 UTC
NetBeans-JavaFX-Soma: #140

  Product Version         = NetBeans IDE Dev (Build 201001280200)
(#eeef33500a1a)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun
Microsystems Inc.


Steps to reproduce:

- Create a JavaFX project with the main File
- Create 'A' JavaFX  class under the existed package:
----------------------------------------------
package javafxapplication14;

public class A {

}
----------------------------------------------
- Create 'B' JavaFX  class under the existed package:
package javafxapplication14;

public class B {
    public var a:A;
}
----------------------------------------------

- Create 'b' package
- Move the 'B' class to the 'b' package

The result is:
----------------------------------------------
package b;

public class B {
 import javafxapplication14.A;
   public var a:A;
}
----------------------------------------------

JavaFXApplication14\src\b\B.fx:4: There is a garbled class member definition
starting here, I have tried to ignore it. Class members can be 'var', 'def',
'function', 'init' or 'postinit' only.
 import javafxapplication14.A;
1 error
Comment 1 J Bachorik 2010-02-04 03:10:32 UTC
fixed by http://hg.netbeans.org/javafx/rev/28b65c9f3678
Comment 2 Alexandr Scherbatiy 2010-02-05 04:03:20 UTC
verified in NetBeans-JavaFX-Soma: #143


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo